YUM-BUILDDEP(1)

BEZEICHNUNG
yum-builddep - Weiterleitung zum Builddep-Plugin von DNF

Installiert alles, was zum Erstellen eines Binärpakets aus dem angegebenen .src.rpm, .nosrc.rpm oder der .spec-Datei notwendig ist.

WARNUNG: Erstellungsabhängigkeiten in einem Paket (das heißt, einem .src.rpm) können von dem abweichen, was Sie erwarten würden, weil diese anhand der auf dem Erstellungsrechner gesetzten Makros ermittelt werden.

ÜBERSICHT

dnf builddep <Paket> …

ARGUMENTE

<Paket>
    Entweder der Pfad zur .src.rpm-, .nosrc.rpm- oder .spec-Datei oder zu einem in einer Paketquelle verfügbaren Paket.

OPTIONEN

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

--help-cmd
    zeigt die Hilfe an.

-D <Makro Wert>, --define <Makro Wert>
    setzt beim Auswerten von .spec-Dateien das angegebene Makro auf den angegeben Wert. Dies ist nicht auf .src.rpm-Dateien anwendbar.

--spec
    fasst Argumente als .spec-Dateien auf.

--srpm
    fasst Argumente als .src.rpm-Dateien auf.

--skip-unavailable
    überspringt Erstellungsabhängigkeiten, die in den Paketquellen nicht verfügbar sind. Alle verfügbaren Erstellungsabhängigkeiten werden installiert.

    Beachten Sie, dass der Befehl builddep die Option --skip-broken nicht respektiert, so dass es keine Möglichkeit gibt, nicht installierbare Pakete zu überspringen (zum Beispiel Pakete mit nicht auflösbaren Abhängigkeiten).

BEISPIELE

dnf builddep foobar.spec
    installiert die erforderlichen Erstellungsabhängigkeiten, die in der Datei foobar.spec definiert sind.

dnf builddep --spec foobar.spec.in
    installiert die erforderlichen Erstellungsabhängigkeiten, die in der Spec-Datei definiert sind, wenn die Datei mit etwas anderem endet als .spec.

dnf builddep foobar-1.0-1.src.rpm
    installiert die erforderlichen Erstellungsabhängigkeiten, die in der Datei foobar-1.0-1.src.rpm definiert sind.

dnf builddep foobar-1.0-1
    schaut in den aktivierten Paketquellen nach foobar-1.0-1 und installiert die Erstellungsabhängigkeiten für dessen .src.rpm.

dnf builddep -D 'scl python27' python-foobar.spec
    installiert die erforderlichen Erstellungsabhängigkeiten für die Python27-SCL-Version von python-foobar.

AUTOR
Siehe AUTHORS im Paket der Core DNF Plugins.

COPYRIGHT
2023, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).